﻿
//
// Created by HW on 2023/07/26.
//

#ifndef OFFICEASSISTANT_MAINWINDOWLAYOUT_H
#define OFFICEASSISTANT_MAINWINDOWLAYOUT_H

#include <QWidget>
#include <QVBoxLayout>
#include "navbar.h"
#include "mainscreen.h"
#include "netio.h"
class NavBar;
QT_BEGIN_NAMESPACE
namespace Ui { class MainWindowLayout; }
QT_END_NAMESPACE

class MainWindowLayout : public QWidget {
Q_OBJECT
signals:
void clickButton1(QString op,QString url);
public:
    explicit MainWindowLayout(QWidget *parent = nullptr);
    NavBar* navBar;
    ~MainWindowLayout() override;
public slots:
    void clickButton(QString orig_name,QString op, QString func, QString url, QString path, QString initial_position);
protected:
    void resizeEvent(QResizeEvent *event) override;
    //void paintEvent(QPaintEvent *event) override;

private:
    Ui::MainWindowLayout *ui;
    QVBoxLayout *layout;
    //QList<ButtonStruct *> list;
    ButtonStruct *buttons;
    MainScreen *mainScreen;
	ConfigResponse *configResponse;
};


#endif //OFFICEASSISTANT_MAINWINDOWLAYOUT_H
